## ros-iron-moveit-ros-planning-interface 2.8.0

=== debian/changelog ===
ros-iron-moveit-ros-planning-interface (2.8.0-1jammy) jammy; urgency=high

  * Specify controller name in MGI execution (#2257 <https://github.com/ros-planning/moveit2/issues/2257>)
    * Specify controller name in MGI execute
    * Finish comment
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Remove deprecated move_group pick& place functionality + demo (#2239 <https://github.com/ros-planning/moveit2/issues/2239>)
    Co-authored-by: Jafar Uruç <mailto:cafer.abdi@gmail.com>
  * Contributors: Sebastian Jahr, Stephanie Eng

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-iron-moveit-ros-planning-interface (2.7.4-1jammy) jammy; urgency=high

  * Scale acceleration and velocity of cartesian interpolations (#1968 <https://github.com/ros-planning/moveit2/issues/1968>)
  * Contributors: Yadu

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 22:00:00 -0000

ros-iron-moveit-ros-planning-interface (2.7.3-1jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Apr 2023 22:00:00 -0000

ros-iron-moveit-ros-planning-interface (2.7.2-1jammy) jammy; urgency=high

  * Update pre-commit (#2094 <https://github.com/ros-planning/moveit2/issues/2094>)
  * Merge pull request #1900 <https://github.com/ros-planning/moveit2/issues/1900> from Abishalini/pr-sync-1245f15
    Sync with MoveIt1
  * Readd comment and assign error code
  * Merge https://github.com/ros-planning/moveit/commit/1245f151393fe09023efec3e1faead2d26737227
  * Update description of moveit_ros_planning_interface (#2045 <https://github.com/ros-planning/moveit2/issues/2045>)
    * Update description of moveit_ros_planning_interface
    * Update moveit_ros/planning_interface/package.xml
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    ---------
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Merge PR #3197 <https://github.com/ros-planning/moveit2/issues/3197>: Improve computeCartesianPath()
  * Simplify MGI::computeCartesianPath()
  * Contributors: Abishalini, Abishalini Sivaraman, Robert Haschke, Sebastian Jahr, Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Apr 2023 22:00:00 -0000

ros-iron-moveit-ros-planning-interface (2.7.1-1jammy) jammy; urgency=high

  * Fix member naming (#1949 <https://github.com/ros-planning/moveit2/issues/1949>)
    * Update clang-tidy rules for readability-identifier-naming
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * remove underscore from public member in MotionPlanResponse (#1939 <https://github.com/ros-planning/moveit2/issues/1939>)
    * remove underscore from private members
    * fix more uses of the suffix notation
  * Contributors: AlexWebb, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Mar 2023 23:00:00 -0000

ros-iron-moveit-ros-planning-interface (2.7.0-1jammy) jammy; urgency=high

  * Merge https://github.com/ros-planning/moveit/commit/9225971216885490e933ece25390c63ca14f8a58
  * converted characters from string format to character format (#1881 <https://github.com/ros-planning/moveit2/issues/1881>)
  * 400% speed up to move group interface (#1865 <https://github.com/ros-planning/moveit2/issues/1865>)
  * GHA: Build moveit_msgs from source (#1853 <https://github.com/ros-planning/moveit2/issues/1853>)
    * Revert #1739 <https://github.com/ros-planning/moveit2/issues/1739>: moveit_msgs no longer needs to be built from source
    This reverts commit 6e0fce31cfe94ef8c6d5ebccb4d865f0c144b6e1.
    * Remove obsolete include: moveit_msgs/srv/execute_known_trajectory.hpp
    * Cleanup moveit2.repos
  * Cleanup msg includes: Use C++ instead of C header (#1844 <https://github.com/ros-planning/moveit2/issues/1844>)
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Remove MOVEIT_LIB_NAME (#1751 <https://github.com/ros-planning/moveit2/issues/1751>)
    It's more readable and searchable if we just spell out the target
    name.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Use <> for non-local headers (#1734 <https://github.com/ros-planning/moveit2/issues/1734>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
  * Used C++ style cast instead of C style cast  (#1628 <https://github.com/ros-planning/moveit2/issues/1628>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Test moveit_commander.set_joint_value_target with JointState argument (#3187 <https://github.com/ros-planning/moveit2/issues/3187>)
    * Test with JointState argument
    * Check size of name and position fields
    Co-authored-by: Robert Haschke <mailto:rhaschke@techfak.uni-bielefeld.de>

