=== debian/control ===
Source: ros-iron-moveit-ros-planning-interface
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, python3-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-eigen3-cmake-module, ros-iron-geometry-msgs, ros-iron-moveit-common, ros-iron-moveit-configs-utils <!nocheck>, ros-iron-moveit-core, ros-iron-moveit-msgs, ros-iron-moveit-planners-ompl <!nocheck>, ros-iron-moveit-resources-fanuc-moveit-config <!nocheck>, ros-iron-moveit-resources-panda-moveit-config <!nocheck>, ros-iron-moveit-ros-move-group, ros-iron-moveit-ros-planning, ros-iron-moveit-ros-warehouse, ros-iron-moveit-simple-controller-manager <!nocheck>, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-rclpy, ros-iron-ros-testing <!nocheck>, ros-iron-rviz2 <!nocheck>, ros-iron-tf2, ros-iron-tf2-eigen, ros-iron-tf2-geometry-msgs, ros-iron-tf2-ros, ros-iron-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-iron-moveit-ros-planning-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dev, ros-iron-geometry-msgs, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-moveit-msgs, ros-iron-moveit-ros-move-group, ros-iron-moveit-ros-planning, ros-iron-moveit-ros-warehouse, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-rclpy, ros-iron-tf2, ros-iron-tf2-eigen, ros-iron-tf2-geometry-msgs, ros-iron-tf2-ros, ros-iron-ros-workspace
Description: Components of MoveIt that offer simpler remote (as from another ROS 2 node) interfaces to planning and execution
